/*-
 * #%L
 * Smile CDR - CDR
 * %%
 * Copyright (C) 2016 - 2024 Smile CDR, Inc.
 * %%
 * All rights reserved.
 * #L%
 */
package com.example.server.r4;

import ca.uhn.fhir.util.StopWatch;
import com.codahale.metrics.health.HealthCheck;

public class RemoteSystemHealthCheck extends HealthCheck {
	public static final String REMOTE_SYSTEM_NAME = "Lab Server X";

	@Override
	protected Result check() {
		StopWatch sw = new StopWatch();
		try {
			tryToConnect();
			return Result.healthy("The connection to " + REMOTE_SYSTEM_NAME + " is healthy", sw.getMillis());
		} catch (Exception e) {
			return Result.unhealthy("Failed to connect to " + REMOTE_SYSTEM_NAME, sw.getMillis(), e.getMessage());
		}
	}

	private void tryToConnect() throws Exception {
		// try to connect to the remote system and throw an exception if the connection failed.
	}
}
